Get Vendor Balances
curl --request GET \
--url https://api.topsort.com/public/v1/offsite-ads/vendors/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/offsite-ads/vendors/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/offsite-ads/vendors/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"vendorId": "<string>",
"balance": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Offsite Ads API
Get Vendor Balances
Get vendor balances for the given vendors and DSP.
GET
/
public
/
v1
/
offsite-ads
/
vendors
/
balances
Get Vendor Balances
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Query Parameters
The IDs of the vendors to get the balances for. Maximum of 25 vendors can be queried at once.
Required array length:
1 - 25 elementsExample:
["vendor_123", "vendor_456"]
The DSP to get the balances for. Only Google Ads is supported currently.
Allowed value:
"google_ads"Example:
"google_ads"
Response
Successful Response
The list of vendor balances.
Show child attributes
Show child attributes
Was this page helpful?
⌘I